Bug 107518 - bind mount in fstab breaks upgrade
bind mount in fstab breaks upgrade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 18:25 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-10-19 18:25:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
The presence of a bind mount in /etc/fstab causes anaconda to fail to mount
them, aborting an attempt to upgrade.
/l/scratch/mirror/mirror /l/mirror              ext3    bind            0 0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add a bind mount to /etc/fstab
2.Boot the installer and choose to upgrade

Actual Results:  It fails to mount it and aborts.

Expected Results:  It should do a bind mount, or at least ignore it.

Additional info:
Comment 1 Jeremy Katz 2003-10-20 19:09:33 EDT
Fixed in CVS (poke me if you want an update disk, or you should just be able to
grab fsset.py from cvs/rawhide anaconda)
Comment 2 Alexandre Oliva 2003-10-25 16:12:31 EDT
'frad the fix didn't work :-(

It still fails to mount and opens a window mentioning the problem.  Last I see
in VT3 is a message from isys.py:mount claiming it's going to attempt to mount
it.  Sorry that it took me so long to test it :-(
Comment 3 Jeremy Katz 2004-09-22 14:39:35 EDT
Does this work with current trees or not?
Comment 4 Alexandre Oliva 2004-10-02 16:08:53 EDT
It works, yay!  Thanks,

Note You need to log in before you can comment on or make changes to this bug.